## org.apache.hadoop.util
Class PlatformName

    java.lang.Object
      org.apache.hadoop.util.PlatformName

    public class PlatformName

extends Object

A helper class for getting build-info of the java-vm.

Constructor Summary
`PlatformName()`

Method Summary
`static String` `getPlatformName()` Get the complete platform as per the java-vm.
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlatformName

    public PlatformName()

Method Detail

### getPlatformName

    public static String getPlatformName()

  Get the complete platform as per the java-vm.

  Returns:
    returns the complete platform as per the java-vm.

### main

    public static void main(String[] args)

Copyright © 2009 The Apache Software Foundation